Ulster vs Dragons RFC · United Rugby Championship
United Rugby Championship · 2025-26Full time
42–21

Match report
Ulster beat Dragons RFC 42-21 at Kingspan, Belfast in round 1 of the United Rugby Championship on Friday, 26 September 2025.
Griffin Colby refereed.
Written automatically from the match data; updated as results come in.
Head to head
7
Ulster wins (100%)
0
Draws (0%)
0
Dragons RFC wins (0%)
Last 7 meetings, since October 2020
Biggest Ulster win
49–26
2 Mar 2024
Last 5 meetings
- 26 Sept 2025 · United Rugby ChampionshipUlster42Dragons RFC2126 Sept 2025Ulster42–21Dragons RFCUnited Rugby Championship
- 22 Mar 2025 · United Rugby ChampionshipDragons RFC30Ulster3422 Mar 2025Dragons RFC30–34UlsterUnited Rugby Championship
- 2 Mar 2024 · United Rugby ChampionshipUlster49Dragons RFC262 Mar 2024Ulster49–26Dragons RFCUnited Rugby Championship
- 14 Apr 2023 · United Rugby ChampionshipUlster40Dragons RFC1914 Apr 2023Ulster40–19Dragons RFCUnited Rugby Championship
- 20 Feb 2022 · United Rugby ChampionshipDragons RFC0Ulster1220 Feb 2022Dragons RFC0–12UlsterUnited Rugby Championship
Lineups
Avg. age
28.4
Avg. age
29.3
Ulster
- 1Callum Reid(27)
- 2Rob Herring(36)
- 3Tom O’Toole(28)
- 4Iain Henderson(34)
- 5Harry Sheridan(25)
- 6Cormac Izuchukwu(26)
- 7Nick Timoney(31)
- 8David McCann(26)
- 9Nathan Doak(24)
- 10Jack Murphy(22)
- 11Jacob Stockdale(30)
- 12Stuart McCloskey(34)
- 13James Hume(28)
- 14Zac Ward(27)
- 15Michael Lowry(28)
Replacements
- 16Tom Stewart(25)
- 17Sam Crean(26)
- 18Scott Wilson(24)
- 20Juarno Augustus(28)
- 21Conor McKee(25)
- 22Jake Flannery(27)
- 23Ben Carson(24)
Dragons RFC
- 1Wyn Jones(34)
- 2Elliot Dee(32)
- 3Robert Hunt(30)
- 4Matthew Screech(33)
- 5Ben Carter(25)
- 6Shane Lewis-Hughes(29)
- 7Harrison Keddie(30)
- 8Aaron Wainwright(29)
- 9Rhodri Williams(33)
- 10Tinus De Beer(30)
- 11Jared Rosser(28)
- 12Aneurin Owen(26)
- 13Joe Westwood(23)
- 14Rio Dyer(26)
- 15Angus O'Brien(32)
Replacements
- 16Brodie Coghlan(25)
- 17Rodrigo Martinez(28)
- 18Dillon Lewis(30)
- 19Levi Douglas(31)
- 20Mackenzie Martin(22)
- 21Che Hope(23)
- 22Fine Inisi(28)
- 23Huw Anderson(22)